---
lang: en
title: 'API docs: rest.textbodyparser.parse'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.textbodyparser.parse.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [TextBodyParser](./rest.textbodyparser.md) &gt; [parse](./rest.textbodyparser.parse.md)

## TextBodyParser.parse() method

<b>Signature:</b>

```typescript
parse(request: Request): Promise<RequestBody>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  request | Request |  |

<b>Returns:</b>

Promise&lt;[RequestBody](./rest.requestbody.md)<!-- -->&gt;


